{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Publishes a site or an individual page to one or more domains.\nIf multiple individual pages are published to staging, publishing from staging to production publishes all staged changes.\n\nTo publish to a specific custom domain, use the domain IDs from the [Get Custom Domains](/data/reference/sites/get-custom-domain) endpoint.\n\nYou must include at least one of the `customDomains` or `publishToWebflowSubdomain` properties in the request body.\n\nTo publish an individual page instead of the entire site, provide the ID of the page in the `pageId` parameter.\n\n<Note title=\"Rate limit: 1 publish per minute\">This endpoint has a specific rate limit of one successful publish queue per minute.</Note>\n\nRequired scope | `sites:write`\n","properties":{"path":{"type":"object","properties":{"site_id":{"type":"string","examples":["580e63e98c9a982ac9b8b741"],"description":"Unique identifier for a Site"}},"required":["site_id"],"additionalProperties":false},"body":{"type":"object","properties":{"customDomains":{"description":"Array of Custom Domain IDs to publish","type":"array","items":{"description":"The ID of the Custom Domain","type":"string","examples":["589a331aa51e760df7ccb89d"]},"examples":[["660c6449dd97ebc7346ac629","660c6449dd97ebc7346ac62f"]]},"publishToWebflowSubdomain":{"description":"Choice of whether to publish to the default Webflow Subdomain","type":"boolean","default":false,"examples":[false]},"pageId":{"description":"The ID of the page to publish","type":"string","examples":["64abc123def4567890abcde1"]}},"examples":[{"customDomains":["660c6449dd97ebc7346ac629","660c6449dd97ebc7346ac62f"],"publishToWebflowSubdomain":false}]}},"required":["path"],"additionalProperties":false},"name":"Publish Site","id":"webflow.site-publish","example":{"path":{"site_id":"580e63e98c9a982ac9b8b741"}},"maxRequests":1,"summary":false}}